Skip to main content
POST
Attach Agent To Knowledge Base
Integration Prompt for AI Agents
Attaching is idempotent — re-attaching the same agent will not create duplicates.

Headers

X-Organization-Id
string
X-API-Key
string
required

API key required to authenticate requests.

Path Parameters

knowledge_base_id
string<uuid>
required
agent_id
integer
required

Response

Successful Response

id
string<uuid>
required
agent_id
integer
required
knowledge_base_id
string<uuid>
required
created_at
string | null